.\" $NetBSD: btowc.3,v 1.3 2003/04/16 13:34:40 wiz Exp $
.\"
.\" Copyright (c)2003 Citrus Project,
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd March 3, 2003
.Dt BTOWC 3
.Os
.\" ----------------------------------------------------------------------
.Sh NAME
.Nm btowc
.Nd convert a single byte character to a wide character
.\" ----------------------------------------------------------------------
.Sh LIBRARY
.Lb libc
.\" ----------------------------------------------------------------------
.Sh SYNOPSIS
.In wchar.h
.Ft wint_t
.Fn btowc "int c"
.\" ----------------------------------------------------------------------
.Sh DESCRIPTION
The
.Fn btowc
function converts a single byte character
.Fa c
in the initial shift state of the current locale to a corresponding
wide character.
.Pp
The behaviour of
.Fn btowc
is affected by the
.Dv LC_CTYPE
category of the current locale.
.\" ----------------------------------------------------------------------
.Sh RETURN VALUES
The
.Fn btowc
function returns:
.Bl -tag -width 012345678901
.It Dv WEOF
If
.Fa c
is
.Dv EOF
or if (unsigned char)
.Fa c
does not correspond to a valid single byte character representation.
.It (otherwise)
A wide character corresponding to
.Fa c .
.El
.\" ----------------------------------------------------------------------
.Sh ERRORS
No errors are defined.
.\" ----------------------------------------------------------------------
.Sh SEE ALSO
.Xr mbrtowc 3 ,
.Xr setlocale 3 ,
.Xr wctob 3
.\" ----------------------------------------------------------------------
.Sh STANDARDS
The
.Fn btowc
function conforms to
.St -isoC-amd1 .
